# -*- coding: utf-8 -*-
"""
Created on Wed Nov  4 14:59:31 2020

Write a function that takes as an input a string
containing a series of words separated by spaces
and builds a dictionary where the keys are the last
letters of the words in the string and the associated
values are lists with the words ending with that
letter. The lists must be ordered with the alphabetical
order.

For example, for the string
"the only impossible journey is the one you never begin"
must return
{'e':['the', 'impossible', 'the', 'one'],
'y':['only', 'journey'],
's':['is'],
'u':['you'],
'r':['never'],
'n':['begin']}.

@author: Studente
"""

def dict_last_letter(s):
    word_list = s.split()
    dic = {}
    for word in word_list:
        dic[word[-1]] = dic.get(word[-1], []) + [word]
    for l in dic.values():
        l.sort()
    return dic
#    return {k:sorted(dic[k]) for k in dic}
    